Bio items API

Links and blocks on a bio page.

OperationMethod and path
Add an item to a bio pagePOST /api/v1/bio-item
Update a bio itemPATCH /api/v1/bio-item/{id}
Delete a bio itemDELETE /api/v1/bio-item/{id}
Reorder bio itemsPOST /api/v1/bio-item/reorder
POST /api/v1/bio-item

Add an item to a bio page

bioItem.create · requires x-api-key

Request body application/json

  • bioId string required
  • type string required
    One of: LINK HEADER SOCIAL TEXT
  • title string required
  • url string nullable
  • icon string nullable

Example

curl -X POST "https://api.siaran.my/api/v1/bio-item" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "bioId": "BIO_ID",
    "type": "LINK",
    "title": "Hello from Siar"
  }'

Response 201

9 top-level fields
  • id string required
  • bioId string
  • type string required
    One of: LINK HEADER SOCIAL TEXT
  • title string required
  • url string nullable
  • icon string nullable
  • position integer
  • active boolean
  • clicks integer
PATCH /api/v1/bio-item/{id}

Update a bio item

bioItem.update · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Request body application/json

  • title string
  • url string nullable
  • icon string nullable
  • active boolean

Example

curl -X PATCH "https://api.siaran.my/api/v1/bio-item/ID" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "title": "Hello from Siar",
    "url": "https://example.com/file.jpg",
    "icon": "string"
  }'

Response 200

9 top-level fields
  • id string required
  • bioId string
  • type string required
    One of: LINK HEADER SOCIAL TEXT
  • title string required
  • url string nullable
  • icon string nullable
  • position integer
  • active boolean
  • clicks integer
DELETE /api/v1/bio-item/{id}

Delete a bio item

bioItem.delete · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X DELETE "https://api.siaran.my/api/v1/bio-item/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

1 top-level fields
  • success boolean required
POST /api/v1/bio-item/reorder

Reorder bio items

bioItem.reorder · requires x-api-key

Request body application/json

  • bioId string required
  • ids string[] required

Example

curl -X POST "https://api.siaran.my/api/v1/bio-item/reorder" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "bioId": "BIO_ID",
    "ids": [
      "ID_ID"
    ]
  }'

Response 200

1 top-level fields
  • success boolean required